Bug 87859 - (NET) ethtool does not detect link on connected ethernet device
(NET) ethtool does not detect link on connected ethernet device
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-03 04:04 EST by bastiaan
Modified: 2013-07-02 22:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bastiaan 2003-04-03 04:04:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
ethtool incorrectly states 'link detected: no', even though the etherne t is
connected and up. 
As a consequence DHCP configuration fails, since
/etc/sysconfig/network-scripts/ifup queries ethtool via check_link_down. Static
configuration succeeds and as a workaround I can get DHCP working as well if I
comment out the check_link_down call.


Version-Release number of selected component (if applicable):
ethtool-1.6-5

How reproducible:
Always

Steps to Reproduce:
1. have an ethernet device installed (eth0)
2. ethtool eth0
3. ifconfig eth0
4. ping 10.88.2.1


Actual Results:  sh-2.05b# ethtool eth0
   Supported ports: [ TP MII ]
   Supported link modes:   10baseT/Half 10baseT/Full
                           100baseT/Half 100baseT/Full
   Supportes auto-negotiation: Yes
   Advertised link modes: Not reported
   Advertised auto-negotiation: No
   Speed: 10Mb/s
   Duplex: Half
   Port: MII
   PHYAD: 0
   Transceiver: internal
   Auto-negotiation: off
   Current message level: 0x00000001 (1)
   Link detected: no

sh-2.05# ifconfig eth0
eth0    Link encap:Ethernet  HWaddr 00:50:56:D4:22:68
        inet addr:10.88.2.128  Bcast:10.88.2.255  Mask:255.255.255.0
        UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
        RX packets:10 errors:0 dropped:0 overruns:0 frame:0
        TX packets:8 errors:0 dropped:0 overruns:0 carrier:0
        collisions:0 txqueuelen:100
        RX bytes:1524 (1.4 Kb)  TX bytes:1348 (1.3 Kb)
        Interrupt:10 Base address:0x10a0

sh-2.05# ping 10.88.2.1
PING 10.88.2.1 (10.88.2.1) 56(84) bytes of data.
64 bytes from 10.88.2.1: icmp_seq=1 ttl=64 time=1.28 ms
....



Expected Results:  Clearly the link is OK, so ethtool should detect it.

Additional info:

The tested configurations are VMware guest installs on VMware GSX 2.5 servers
(running on RH8.0 and RH7.3). eth0 is detected as PCnet/PCI II 79C970A and has
been configured for 'bridged networking' in VMware in one case and 'host only
networking' in the other.
The problem does not occur with RH8.0 running on the same VMware installations.
Comment 1 Dan Razzell 2003-05-13 02:28:40 EDT
Also reporting this behavior.
Comment 2 Need Real Name 2003-07-03 08:35:08 EDT
This same situation happens, if you try to run RedHat Linux 9 in VMware 4 as
GuestOS. Once you get rid of ethtool, things start working as they should be.
Comment 3 Jeff Garzik 2003-08-05 15:25:33 EDT
What ethernet driver(s) are being used?

ethtool requires link-detection support in the kernel driver.
Comment 4 Bugzilla owner 2004-09-30 11:40:44 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.